<!doctype html>
<html lang="es">
<head>
    <link rel="shortcut icon" href="/img/favicon.ico?ver=1.0"/>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php echo $page_title ?? 'Tax Benefits'; ?> | Tax Benefits</title>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo get_stylesheet('platform'); ?>">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <?php echo $__env->yieldContent('head_js'); ?>
</head>
<body>




<main id="wrapper">

    <?php echo $__env->make('backend.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <div id="content-wrapper" class="d-flex flex-column">

        <div id="content pb-5">

            <nav class="navbar navbar-expand navbar-light bg-dark topbar mb-4 static-top shadow">

                <?php if(!empty($page_title)): ?>
                    <h1 class="d-flex justify-content-center w-100"><span><?php echo $page_title; ?></span></h1>
                <?php endif; ?>

                <?php if (! empty(trim($__env->yieldContent('modal_buttons')))): ?>
                    <?php echo $__env->yieldContent('modal_buttons'); ?>
                <?php endif; ?>

                <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                    <i class="fa fa-bars"></i>
                </button>


                <ul class="navbar-nav ml-auto">


                    <div class="topbar-divider d-none d-sm-block"></div>

                    <!-- Nav Item - User Information -->
                    <li class="nav-item dropdown no-arrow">
                        <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <span class="mr-2 d-none d-lg-inline text-gray-600 small"><?php echo auth()->user()->name ?? 'John Doe'; ?></span>
                            <i class="fas fa-fw fa-cog"></i>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in" aria-labelledby="userDropdown">

                            <div class="dropdown-divider"></div>
                            
                            
                            
                            
                            
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item" href="<?php echo route('BE_LOGOUT'); ?>">
                                <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                Sign out
                            </a>
                            <?php if(!empty(session('admin_session_logged_as_user'))): ?>
                                <?php echo Form::open(['route' => 'BE_IMPERSONATE_USER']); ?>

                                <?php echo Form::hidden('log_in_as_id', session('admin_session_logged_as_user')->id); ?>

                                <button type="submit" class="dropdown-item">
                                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Go back to admin session
                                </button>
                                <?php echo Form::close(); ?>

                            <?php endif; ?>
                        </div>
                    </li>

                </ul>


            </nav>

            <div class="container-fluid">

                <div class="row">
                    
                    <?php echo $__env->make('backend.backend_errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <?php echo $__env->make('backend.backend_messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </div>
                <div class="row">
                    <?php echo $__env->yieldContent('content'); ?>
                </div>
            </div>
        </div>
    </div>
</main>





<?php if (! empty(trim($__env->yieldContent('local_javascript')))): ?>

    <?php echo $__env->yieldContent('local_javascript'); ?>

<?php else: ?>

    <script src="<?php echo get_javascript_file('backend.home'); ?>"></script>
<?php endif; ?>

<?php if(config('app.env') == 'local'): ?>
    
    <script src="http://localhost:35729/livereload.js"></script>
<?php endif; ?>
<script>
    document.querySelectorAll('a').forEach(link => link.setAttribute('rel', 'noreferrer noopener'))
</script>
</body>
</html>
<?php /**PATH /home/allevia6/public_html/alleviatetaxservice.com/resources/views/backend/_backend_master.blade.php ENDPATH**/ ?>